import { RequestParam, FunctionConfig, EnvMetadata } from './config';
export default class Metadata {
    static getFunction(constructor: Function, key: string): FunctionConfig;
    static getFunctions(constructor: Function): [string, FunctionConfig][];
    static setFunctions(constructor: Function, key: string, config: FunctionConfig): void;
    static getEnv(constructor: Function): EnvMetadata[];
    static setEnv(constructor: Function, property: EnvMetadata): void;
    static getParams(constructor: Function, key: string): RequestParam[];
    static setParams(constructor: Function, key: string, index: number, value: RequestParam): void;
}
