/// <reference types="node" />
import { IncomingHttpHeaders } from 'http';
declare type HttpMethod = 'GET' | 'POST' | 'PUT' | 'DELETE' | 'PATCH' | 'HEAD' | 'OPTIONS';
interface RequestConfig {
    headers?: IncomingHttpHeaders;
    [key: string]: any;
}
export declare function Endpoint(method: HttpMethod, path: string, extraConfig?: RequestConfig): MethodDecorator;
export {};
