import Serverless from 'serverless';
export interface EnvMetadata {
    key: string;
    envName: string;
}
export interface FunctionConfig extends Partial<Serverless.FunctionDefinition> {
    [key: string]: any;
    events?: Record<string, object>[];
}
export declare enum RequestParam {
    JsonBody = 0
}
export declare class MissingHandlerError extends Error {
}
